export default {
  path: 'ewash',
  name: 'e袋洗',
  component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/index.vue'),
  meta: {},
  redirect: 'ewash/list',
  children: [
    {
      path: 'list',
      name: 'e袋洗服务',
      component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/list.vue'),
      meta: {}
    },
    {
      path: 'add',
      name: '新增卡券',
      component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/form.vue'),
      meta: {
        type: 'add',
        path: '/ewash/list'
      }
    },
    {
      path: 'edit/:id',
      name: '编辑卡券',
      component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/form.vue'),
      meta: {
        type: 'edit',
        path: '/ewash/list'
      }
    },
    {
      path: 'analysis/:id',
      name: 'e袋洗卡券报表',
      component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/analysis.vue'),
      meta: {
        path: '/ewash/list'
      }
    },
    {
      path: 'statements',
      name: 'e袋洗账单',
      component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/statements.vue'),
      meta: {
        path: '/ewash/list'
      }
    },
    {
      path: 'statements/detail/:id',
      name: 'e袋洗账单详情',
      component: () => import(/* webpackChunkName: "ewash" */ '../../views/ewash/statements-detail.vue'),
      meta: {
        path: '/ewash/list'
      }
    }
  ]
};
